=begin
#Intrinio API

#Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.

OpenAPI spec version: 2.1.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.0-SNAPSHOT

=end

# Common files
require 'intrinio-sdk/api_client'
require 'intrinio-sdk/api_error'
require 'intrinio-sdk/version'
require 'intrinio-sdk/configuration'

# Models
require 'intrinio-sdk/models/api_response_companies'
require 'intrinio-sdk/models/api_response_company_filings'
require 'intrinio-sdk/models/api_response_company_fundamentals'
require 'intrinio-sdk/models/api_response_company_historical_data'
require 'intrinio-sdk/models/api_response_company_news'
require 'intrinio-sdk/models/api_response_company_securities'
require 'intrinio-sdk/models/api_response_data_tags'
require 'intrinio-sdk/models/api_response_economic_index_historical_data'
require 'intrinio-sdk/models/api_response_economic_indices'
require 'intrinio-sdk/models/api_response_filing_notes'
require 'intrinio-sdk/models/api_response_filing_notes_search'
require 'intrinio-sdk/models/api_response_filings'
require 'intrinio-sdk/models/api_response_historical_data'
require 'intrinio-sdk/models/api_response_news'
require 'intrinio-sdk/models/api_response_reported_financials'
require 'intrinio-sdk/models/api_response_sic_index_historical_data'
require 'intrinio-sdk/models/api_response_sic_indices'
require 'intrinio-sdk/models/api_response_securities'
require 'intrinio-sdk/models/api_response_security_historical_data'
require 'intrinio-sdk/models/api_response_security_stock_price_adjustments'
require 'intrinio-sdk/models/api_response_security_stock_prices'
require 'intrinio-sdk/models/api_response_standardized_financials'
require 'intrinio-sdk/models/api_response_stock_exchange_realtime_stock_prices'
require 'intrinio-sdk/models/api_response_stock_exchange_securities'
require 'intrinio-sdk/models/api_response_stock_exchange_stock_price_adjustments'
require 'intrinio-sdk/models/api_response_stock_exchange_stock_prices'
require 'intrinio-sdk/models/api_response_stock_exchanges'
require 'intrinio-sdk/models/api_response_stock_market_index_historical_data'
require 'intrinio-sdk/models/api_response_stock_market_indices'
require 'intrinio-sdk/models/company'
require 'intrinio-sdk/models/company_filing'
require 'intrinio-sdk/models/company_news'
require 'intrinio-sdk/models/company_news_summary'
require 'intrinio-sdk/models/company_summary'
require 'intrinio-sdk/models/data_tag'
require 'intrinio-sdk/models/data_tag_summary'
require 'intrinio-sdk/models/dividend_record'
require 'intrinio-sdk/models/earnings_record'
require 'intrinio-sdk/models/economic_index'
require 'intrinio-sdk/models/economic_index_summary'
require 'intrinio-sdk/models/filing'
require 'intrinio-sdk/models/filing_note'
require 'intrinio-sdk/models/filing_note_filing'
require 'intrinio-sdk/models/filing_note_summary'
require 'intrinio-sdk/models/filing_summary'
require 'intrinio-sdk/models/fundamental'
require 'intrinio-sdk/models/fundamental_summary'
require 'intrinio-sdk/models/historical_data'
require 'intrinio-sdk/models/realtime_stock_price'
require 'intrinio-sdk/models/realtime_stock_price_security'
require 'intrinio-sdk/models/reported_financial'
require 'intrinio-sdk/models/reported_tag'
require 'intrinio-sdk/models/sic_index'
require 'intrinio-sdk/models/security'
require 'intrinio-sdk/models/security_screen_clause'
require 'intrinio-sdk/models/security_screen_group'
require 'intrinio-sdk/models/security_screen_result'
require 'intrinio-sdk/models/security_screen_result_data'
require 'intrinio-sdk/models/security_summary'
require 'intrinio-sdk/models/standardized_financial'
require 'intrinio-sdk/models/stock_exchange'
require 'intrinio-sdk/models/stock_market_index'
require 'intrinio-sdk/models/stock_market_index_summary'
require 'intrinio-sdk/models/stock_price'
require 'intrinio-sdk/models/stock_price_adjustment'
require 'intrinio-sdk/models/stock_price_adjustment_summary'
require 'intrinio-sdk/models/stock_price_summary'

# APIs
require 'intrinio-sdk/api/company_api'
require 'intrinio-sdk/api/data_point_api'
require 'intrinio-sdk/api/data_tag_api'
require 'intrinio-sdk/api/filing_api'
require 'intrinio-sdk/api/fundamentals_api'
require 'intrinio-sdk/api/historical_data_api'
require 'intrinio-sdk/api/index_api'
require 'intrinio-sdk/api/security_api'
require 'intrinio-sdk/api/stock_exchange_api'

module Intrinio
  class << self
    # Customize default settings for the SDK using block.
    #   Intrinio.configure do |config|
    #     config.username = "xxx"
    #     config.password = "xxx"
    #   end
    # If no block given, return the default Configuration object.
    def configure
      if block_given?
        yield(Configuration.default)
      else
        Configuration.default
      end
    end
  end
end
