=begin
#Intrinio API

#Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for Intrinio::StockExchangeApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'StockExchangeApi' do
  before do
    # run before each test
    @instance = Intrinio::StockExchangeApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of StockExchangeApi' do
    it 'should create an instance of StockExchangeApi' do
      expect(@instance).to be_instance_of(Intrinio::StockExchangeApi)
    end
  end

  # unit tests for filter_stock_exchanges
  # Filter Stock Exchanges
  # Return Stock Exchanges matching the given filters
  # @param [Hash] opts the optional parameters
  # @option opts [String] :city Filter by city
  # @option opts [String] :country Filter by country
  # @option opts [String] :country_code Filter by ISO country code
  # @return [ApiResponseStockExchanges]
  describe 'filter_stock_exchanges test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_all_stock_exchanges
  # Get All Stock Exchanges
  # Return All Stock Exchanges
  # @param [Hash] opts the optional parameters
  # @return [ApiResponseStockExchanges]
  describe 'get_all_stock_exchanges test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_stock_exchange_by_id
  # Get Stock Exchange by ID
  # 
  # @param identifier A Stock Exchange identifier (MIC or Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @return [StockExchange]
  describe 'get_stock_exchange_by_id test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_stock_exchange_price_adjustments
  # Get Stock Price Adjustments by Exchange
  # Return stock price adjustments for the Stock Exchange with the given &#x60;identifier&#x60;
  # @param identifier A Stock Exchange identifier (MIC or Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :date The date for which to return price adjustments
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseStockExchangeStockPriceAdjustments]
  describe 'get_stock_exchange_price_adjustments test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_stock_exchange_prices
  # Get Stock Prices by Exchange
  # Return daily Stock Prices for Securities on the Stock Exchange with &#x60;identifier&#x60; and on the &#x60;price_date&#x60; (or the latest date that prices are available)
  # @param identifier A Stock Exchange identifier (MIC or Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :date The date for which to return prices
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseStockExchangeStockPrices]
  describe 'get_stock_exchange_prices test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_stock_exchange_securities
  # Get Securities by Exchange
  # Return Securities traded on the Stock Exchange with &#x60;identifier&#x60;
  # @param identifier A Stock Exchange identifier (MIC or Intrinio ID)
  # @param [Hash] opts the optional parameters
  # @option opts [String] :next_page Gets the next page of data from a previous API call
  # @return [ApiResponseStockExchangeSecurities]
  describe 'get_stock_exchange_securities test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
